#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <iostream>
#include "RTMPStream.h"

using namespace std;

int main(int argc, char **argv)
{

	string rtmpAddress = "rtmp://182.61.45.149:1935/live/movie";	
	string videoName = "./720p.h264.raw";
	string videoDir = "./h264_bit_stream/";

	/*connect midea server*/
	CRTMPStream *mCRTMPStream = new CRTMPStream();
	if(mCRTMPStream->Connect(rtmpAddress.c_str()) > 0) {
		cout<<"Connect to "<< rtmpAddress <<" successfully!" <<endl;
	} else {
		cout<<"Connect to "<< rtmpAddress <<" failed!" <<endl;
	}

	/*rtmp send file/frame data demo*/
	#if 1
		while(1){
			if(mCRTMPStream->SendH264File(videoName.c_str())<0) {
				cout << "Send x264 file failed!" <<endl;
			}
		}
	#else
		while(1){
		mCRTMPStream->SendH264Frames(videoDir.c_str());

		usleep(10000);
		}
	#endif


    return 0;
}


